/*
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.network.synchronization.defaultimpl;

import java.util.Hashtable;
import java.util.Map;

import com.topcoder.network.synchronization.bean.PeerGroupInfo;
import com.topcoder.network.synchronization.protocol.PeerGroupService;
/**
 * The global peer group service, it is really simple. Just receive the message from 
 * the receiver, and call the listener to deal this message. 
 * 
 * @author TCSDESIGNER
 * @version 1.0
 */
public class GlobalPeerGroupService extends PeerGroupService {

    /**
     * Represents all the peer groups this peer joined.
     * 
     * key: PeerGroupInfoId, value: PeerGrouInfo object
     */
    private Map groups = new Hashtable();
    
    /**
     * Start the global peer group service.
     * 
     * 1. this.started = true;
     * 2. clear the listeners in receiver, then create a GlobalMessageListener with 
     *    itself and add it to the receiver.
     * 3. start the sender
     * 4. start the receiver
     */
    public void run() {
        
    }    
    
    /**
     * Add one peer group which this peer has joined.
     * 
     * @param groupInfo the peer group this peer has joined.
     */
    public void addPeerGroup(PeerGroupInfo groupInfo) {
        
    }
    
    /**
     * Remove a peer group info which this peer has left.
     * @param groupInfo the peer group this peer has left
     */
    public void removePeerGroup(PeerGroupInfo groupInfo) {
        
    }
        
}
