/*
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.network.synchronization.defaultimpl.listener;

import com.topcoder.network.synchronization.bean.Message;
import com.topcoder.network.synchronization.protocol.*;

/**
 * @author TCSDESIGNER
 * @version 1.0
 */
public class ErrorMessageListener extends MessageListener {

    private PeerGroupService service = null;
    
    public ErrorMessageListener(PeerGroupService service) {
        
    }
    
    /**
     * Deal the ERROR_MESSAGE received from receiver, current, 
     * the ERROR_MESSAGE is that the other peers send it to this peer to tell
     * this peer it is unsynchronized with the other peers, and this peer should be 
     * stopped immediately.
     * 
     * 1. If it is a ERROR_MESSAGE, and it is a ERROR_MESSAGE that tell the peer 
     * to stop itself, stop the current PeerGroupService and call the ErrorHandlingListener.
     * 
     * 2. Otherwise, pass it to the next listener if available 
     *  
     */
    public void dealMessage(Message message) {
        

    }


}
