/*
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.network.synchronization.bean;

/**
 * This class encapsulates the information of a peer. 
 * 
 * @author TCSDESIGNER
 * @version 1.0
 */
public class PeerInfo extends AttributeSupportedObject {
    
    /**
     * Represents the identifier of the peer.
     */
    private String id = null;
    
    /**
     * Represents the description of the peer. 
     */
    private String description = null;
    
    /**
     * Represents the credential of the peer. 
     * It is used the validation of the message.
     */
    private Credential credential = null;
    
    /**
     * Return the identifier of this peer. 
     * @return the identifier of this peer
     */
    public String getPeerInfoId() {
        return null;
    }
    
    /**
     * Set the description of this peer.
     * 
     * @param description the description of this peer 
     */
    public void setPeerDescription(String description) {
        
        
    }
    
    /**
     * Return the description of this peer
     * @return the description of this peer
     */
    public String getPeerDescription() {
        return null;
    }
    
    /**
     * Set the credential of this peer
     * @param credential the credential of this peer
     */
    public void setCredential(Credential credential) {
        
    }
    
    /**
     * Return the credential of this peer.
     * @return the credential of this peer
     */
    public Credential getCredential() {
        return null;
    }
}
