/*
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.network.synchronization.defaultimpl;

import com.topcoder.network.synchronization.bean.*;

/**
 * This interface provides plugin strategy of selecting messages in MessageQueue.
 * 
 * @author TCSDESIGNER
 * @version 1.0
 */
public interface MessageSelector {
    
    void setMessageQueue(MessageQueue queue);
    
    Message select();
}
