/*
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.network.synchronization.defaultimpl;

import java.net.InetAddress;
import java.util.HashMap;
import java.util.Map;

import com.topcoder.network.synchronization.bean.PeerGroupInfo;
import com.topcoder.network.synchronization.exception.DistributedProtocolException;

/**
 * This class encapsulates the information of a peer group.
 * 
 * @author TCSDESIGNER
 * @version 1.0
 */
public class PeerGroupInfoImpl extends PeerGroupInfo {    
    
    private static final String globalGroupAddress = "226.0.0.1";
    
    private static final String globalGroupId = "GlobalPeerGroupId";    
    
    private Map peersState = new HashMap();
    
    private InetAddress groupAddress = null;
    
    private int port = 0;
    
    private int ttl = 1;    
    
    private double keepAlivePercent = 0.6;    
    
    public PeerGroupInfoImpl(String id, String desc, InetAddress addr, int port ) {
        
    }    
    
    public void setTTL(int ttl) {
        
    }
    
    public int getTTL() {
        return ttl;
    }
    
    public static PeerGroupInfoImpl getGlobalPeerGroup() throws DistributedProtocolException {
        return null;
    }
    
    public double getKeepAlivePercent() {
        return this.keepAlivePercent;
    }
    
    public void setKeppAlivePercent(Double percent) {
        
    }
    
        
    public InetAddress getGroupAddress() {
        return null;
    }
    
    public int getPort() {
        return 0;
    }       
        
    public int getPeerState(String peerId) {
        return 0;
    }
    
    public void setPeerState(String peerId, int state) {
        
    }
}
