/*
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.network.synchronization.defaultimpl.listener;

import java.util.Map;

import com.topcoder.network.synchronization.bean.Message;
import com.topcoder.network.synchronization.protocol.MessageListener;

/**
 * @author TCSDESIGNER
 * @version 1.0
 */
public class KeepAliveMessageListener extends MessageListener {

    private Map keepAliveMessages = null;
    
    public KeepAliveMessageListener(Map keepAliveMessages) {
        
    }
    
    /**
     * Deal KEEPALIVE_MESSAGE from receiver.
     * 1. If the message is KEEPALIVE_MESSAGE, if the message contains the "REPLY_KEEPALIVE" attribute and the desitination is this peer, add it to 
     * keepAliveMessages map, otherwise, send a KEEPALIVE_MESSAGE message containing "REPLY_KEEPALIVE" attribute to the sender. 
     * 
     * 2. Otherwise, pass it to the next listener if available.
     * 
     */
    public void dealMessage(Message message) {
        

    }

}
