/*
 * Copyright (c) 2005 TopCoder, Inc., All Rights Reserved
 */
package com.topcoder.network.synchronization.protocol;



/**
 * This interface defines a listener to deal the exception thrown by the protocol
 * or PeerGroupService. 
 * 
 * @author TCSDESIGNER
 * @version 1.0
 */
public interface ErrorHandlingListener {
    
    /**
     * Deal the exception thrown by the protocol or peer group service.
     * 
     * @param exception the exception to deal
     */
    void dealErrorMessage(Exception exception);
}
